The Good, the Bad, and Chad! Saving API (0.1.0)

Download OpenAPI specification:

player

Get signed in player account

Fetch a single player from the database using an authentication token (safe information only).

header Parameters
Authorization
required
string

Contains the prefix "BEARER " followed by a JSON web token provided by logging in at "POST /player/login".

Responses

Response samples

Content type
application/json
{
  • "player_id": "string",
  • "username": "string",
  • "email": "string",
  • "created": "string"
}

Create new player account.

Create a new player account.

Responses

Response samples

Content type
application/json
{
  • "message": "string"
}

Get all player accounts

Fetch all player accounts from the database (safe information only)

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Authenticate player login credentials

Responses

Response samples

Content type
application/json
{
  • "token": "string"
}

save

Get all *partial* saves belonging to signed in player

Get an array of all partial save files associated with the account represented by the PlayerAuthenticationToken.

header Parameters
Authorization
required
string

Contains the prefix "BEARER " followed by a JSON web token provided by logging in at "POST /player/login".

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create a new save file belonging to signed in player

Create a new save file associated with the account represented by the PlayerAuthenticationToken.

header Parameters
Authorization
required
string

Contains the prefix "BEARER " followed by a JSON web token provided by logging in at "POST /player/login".

Responses

Response samples

Content type
application/json
{
  • "message": "string"
}

Get a single, *entire* save file belonging to signed in player by id

Get an entire save file associated with the account represented by the PlayerAuthenticationToken by save_id.

path Parameters
save_id
required
string

The save_id associated with the save to be fetched.

header Parameters
Authorization
required
string

Contains the prefix "BEARER " followed by a JSON web token provided by logging in at "POST /player/login".

Responses

Response samples

Content type
application/json
{
  • "save_id": "string",
  • "player": "string",
  • "saved_at": "string",
  • "zone": "string",
  • "bunnies_killed": 0,
  • "bots_killed": 0,
  • "finished_hunting": true,
  • "hunting_inst_received": true,
  • "invited_hunting": true,
  • "slimes_killed": 0,
  • "snakes_killed": 0,
  • "tutorial_complete": true,
  • "village_attack_ended": true,
  • "bomb_count": 0,
  • "broccoli_count": 0,
  • "rock_count": 0,
  • "slimeball_count": 0,
  • "snowball_count": 0,
  • "sus_snowball_count": 0,
  • "water_balloon_count": 0,
  • "bacon_count": 0,
  • "beef_count": 0,
  • "burger_count": 0,
  • "chicken_count": 0,
  • "energy_drink_count": 0,
  • "ham_count": 0,
  • "steak_count": 0,
  • "rune_count": 0,
  • "action": "string",
  • "already_landed": true,
  • "bb_pos_x": 0,
  • "bb_pos_y": 0,
  • "bb_size_x": 0,
  • "bb_size_y": 0,
  • "can_dash": true,
  • "can_double_jump": true,
  • "damage_mult": 0,
  • "dash_cooldown": 0,
  • "dash_stop": 0,
  • "facing": "string",
  • "first_jump_timer": 0,
  • "first_jump_vel": 0,
  • "has_dashed": true,
  • "has_double_jumped": true,
  • "health": 0,
  • "is_dashing": true,
  • "is_jumping": true,
  • "is_on_ground": true,
  • "lbb_pos_x": 0,
  • "lbb_pos_y": 0,
  • "lbb_size_x": 0,
  • "lbb_size_y": 0,
  • "max_health": 0,
  • "pos_x": 0,
  • "pos_y": 0,
  • "prev_y_on_ground": 0,
  • "scale_x": 0,
  • "scale_y": 0,
  • "scaled_size_x": 0,
  • "scaled_size_y": 0,
  • "second_jump_vel": 0,
  • "speed": 0,
  • "vel_x": 0,
  • "vel_y": 0
}

Delete a single save file belonging to signed in player by id

Delete a single save file associated with the account represented by the PlayerAuthenticationToken by save_id.

path Parameters
save_id
required
string

The save_id associated with the save to be fetched.

header Parameters
Authorization
required
string

Contains the prefix "BEARER " followed by a JSON web token provided by logging in at "POST /player/login".

Responses

Response samples

Content type
application/json
{
  • "code": "NPF (No Player Found)",
  • "message": "string"
}